import request from '@/utils/request'

// 查询电柜巡检记录列表
export function listRecordInspectionCabinet(query) {
  return request({
    url: '/record/recordInspectionCabinet/list',
    method: 'get',
    params: query
  })
}

// 查询电柜巡检记录详细
export function getRecordInspectionCabinet(objId) {
  return request({
    url: '/record/recordInspectionCabinet/' + objId,
    method: 'get'
  })
}

// 新增电柜巡检记录
export function addRecordInspectionCabinet(data) {
  return request({
    url: '/record/recordInspectionCabinet',
    method: 'post',
    data: data
  })
}

// 修改电柜巡检记录
export function updateRecordInspectionCabinet(data) {
  return request({
    url: '/record/recordInspectionCabinet',
    method: 'put',
    data: data
  })
}

// 删除电柜巡检记录
export function delRecordInspectionCabinet(objId) {
  return request({
    url: '/record/recordInspectionCabinet/' + objId,
    method: 'delete'
  })
}


// 可见光视频
export function getVisibleVideo(vFilePath) {
  return request({
    url: '/record/recordInspectionCabinet/getVisibleVideo/' +vFilePath,
    method: 'get'
  })
}
// 热成像视频
export function getThermalVideo(tVideoPath) {
  return request({
    url: '/record/recordInspectionCabinet/getThermalVideo/' +tVideoPath,
    method: 'get'
  })
}

